<?php

include_once("internal/task_sequencer.php");

// --------------------------------------------
class GenericCallTask {
	protected $owner = NULL;
	protected $method = "";
	protected $parameters = array();

	function __construct($owner, $method, $parameters) {
		$this->owner = $owner;
		$this->method = $method;
		$this->parameters = $parameters;
	}

	function start() {
		call_user_func_array(array($this->owner, $this->method), $this->parameters);
	}

	function update($time) {
	}

	function has_ended() {
		// ends immediately, doesn't take any time
		return true;
	}
}

?>